# CHANGELOG

All notable changes to this project will be documented in this file.

> **Tags**
>
> - Features
> - Bug Fixes
> - Performance Improvements
> - Dependency Updates
> - Breaking Changes
> - Documentation
> - Internal

## v12.0.0 (2024-03-05)

#### Breaking Changes

- requires angular 17 or greater ([af7294e](https://github.com/sibiraj-s/ngx-notifier/commit/af7294e))

## v11.0.0 (2023-07-01)

#### Breaking Changes

- requires angular 16 or greater ([b22735f](https://github.com/sibiraj-s/ngx-notifier/commit/b22735f))

## v10.0.0 (2022-12-23)

#### Breaking Changes

- requires angular 15 or greater ([322552f](https://github.com/sibiraj-s/ngx-notifier/commit/322552f))

## v9.0.0 (2022-08-14)

#### Breaking Changes

- requires angular 14 or greater ([40789f1](https://github.com/sibiraj-s/ngx-notifier/commit/40789f1))

## v8.0.0 (2022-01-15)

#### Breaking Changes

- requires angular 13 or greater ([cbb1ecb](https://github.com/sibiraj-s/ngx-notifier/commit/cbb1ecb))

#### Internal

- update LICENSE ([f247fa7](https://github.com/sibiraj-s/ngx-notifier/commit/f247fa7))

## v7.0.0 (2021-05-29)

#### Breaking Changes

- requires angular 12 or greater ([2c18e0f](https://github.com/sibiraj-s/ngx-notifier/commit/2c18e0f))
- bootstrap is no longer a dependency ([2c0750c](https://github.com/sibiraj-s/ngx-notifier/commit/2c0750c))

## v6.0.0 (2020-10-28)

#### Features

- support angualr 10 ([57b7ab3](https://github.com/sibiraj-s/ngx-notifier/commit/57b7ab3))

## v5.0.2 (2020-04-26)

#### Dependency Updates

- update peerDependencies ([44a6c71](https://github.com/sibiraj-s/ngx-notifier/commit/44a6c71))

## v5.0.1 (2020-04-25)

#### Documentation

- update README.md ([1da2e1b](https://github.com/sibiraj-s/ngx-notifier/commit/1da2e1b))

#### Internal

- fix invalid test file path in tsconfig ([ba5ef90](https://github.com/sibiraj-s/ngx-notifier/commit/ba5ef90))

## v5.0.0 (2020-04-25)

#### Features

- fix compatibility issues with ivy compiler ([e00de3f](https://github.com/sibiraj-s/ngx-notifier/commit/e00de3f))

## v4.0.0 (2020-02-29)

#### Features

- support angualr 9 ([fd9234a](https://github.com/sibiraj-s/ngx-notifier/commit/fd9234a))

## v3.0.0 (2020-01-04)

#### Breaking Changes

- app-ngx-paginator is renamed to ngx-paginator ([78cb12f](https://github.com/sibiraj-s/ngx-notifier/commit/78cb12f))

#### Features

- support angualr-8 ([78cb12f](https://github.com/sibiraj-s/ngx-notifier/commit/78cb12f))

#### Dependency updates

- bump dependencies ([78cb12f](https://github.com/sibiraj-s/ngx-notifier/commit/78cb12f))
- update husky to 1.1.0 ([c8ce414](https://github.com/sibiraj-s/ngx-notifier/commit/c8ce414))

#### Internal

- add prepublish script to prevent accidental publish to npm registry. ([c8ce414](https://github.com/sibiraj-s/ngx-notifier/commit/c8ce414))
- migrate to github-actions from travis-ci ([d3cac9d](https://github.com/sibiraj-s/ngx-notifier/commit/d3cac9d))

#### Documentation

- use `gh-pages` branch to publish documentation ([f51aca4](https://github.com/sibiraj-s/ngx-notifier/commit/f51aca4))

## v2.0.2 (2018-09-24)

#### Internal

- update github username ([27ef5e8](https://github.com/sibiraj-s/ngx-notifier/commit/27ef5e8))

## v2.0.1 (2018-09-22)

#### Documentation

- recompiled documentation for latest changes which also includes CHANGELOG ([676d35a](https://github.com/sibiraj-s/ngx-notifier/commit/676d35a))

#### Internal

- fix end-to-end tests ([06899a8](https://github.com/sibiraj-s/ngx-notifier/commit/06899a8))
- migrate from travis-ci.org to travis-ci.com
- removed vscode settings in favour of editorconfig ([25e54df](https://github.com/sibiraj-s/ngx-notifier/commit/25e54df))

## v2.0.0 (2018-09-22)

Upgrade to Angular 6

#### Dependency updates

- update angular dependencies ([c7e796f](https://github.com/sibiraj-s/ngx-notifier/commit/c7e796f))
- update ng-packager to support angular v6 ([c7e796f](https://github.com/sibiraj-s/ngx-notifier/commit/c7e796f))
- update compodoc to v1.1.5 ([c7e796f](https://github.com/sibiraj-s/ngx-notifier/commit/c7e796f))

## v1.3.1 (2018-06-28)

#### Dependency Updates

- update devDependencies ([f16b477](https://github.com/sibiraj-s/ngx-notifier/commit/f16b477))

## v1.3.0 (2018-04-09)

#### Features

- option to disable animations ([a07500c](https://github.com/sibiraj-s/ngx-notifier/commit/a07500c))

#### Bug Fixes

- no animation while closing a toast ([a07500c](https://github.com/sibiraj-s/ngx-notifier/commit/a07500c))

#### Internal

- ci: expect files to have angular-whitespace ([1c13ff3](https://github.com/sibiraj-s/ngx-notifier/commit/1c13ff3))

#### Dependency Updates

- update ng-packagr to v2.4.2 ([a74d48b](https://github.com/sibiraj-s/ngx-notifier/commit/a74d48b))

## v1.2.1 (2018-04-05)

#### Performance Improvements

- revert: don't expose internal variables ([48c57e6](https://github.com/sibiraj-s/ngx-notifier/commit/48c57e6))
- add @angular/platform-browser as peerDependency ([13f930e](https://github.com/sibiraj-s/ngx-notifier/commit/13f930e))

#### Dependency Updates

- update tsickle devDependency ([94e816a](https://github.com/sibiraj-s/ngx-notifier/commit/94e816a))

## v1.2.0 (2018-04-04)

#### Features

- allow HTML tags in notifications ([5ea41f3](https://github.com/sibiraj-s/ngx-notifier/commit/5ea41f3))

#### Bug Fixes

- click events not triggered if HTML tags are used ([d34eb10](https://github.com/sibiraj-s/ngx-notifier/commit/d34eb10))
- don't expose internal variables ([56fc4e4](https://github.com/sibiraj-s/ngx-notifier/commit/56fc4e4))

## v1.1.0 (2018-04-04)

#### Features

- clear all notifications at once ([7c9c011](https://github.com/sibiraj-s/ngx-notifier/commit/7c9c011))
- clear last notification ([95c9100](https://github.com/sibiraj-s/ngx-notifier/commit/95c9100))
- insert toast message on top or bottom ([91983ca](https://github.com/sibiraj-s/ngx-notifier/commit/91983ca))

## v1.0.0 (2018-04-03)

Initial Release. A Simple Notification service for Angular application
