/** Notification Class */
export declare class Notification {
    /** unique id for each notification */
    id: string;
    /** message to be shown */
    message: string;
    /** bootstrap background colors */
    style: string;
    /** timeout for notification */
    duration: number | undefined;
    /**
     * Constructor For Notification
     *
     * @param message message to be shown
     * @param style bootstrap background colors
     * @param duration timeout for notification
     */
    constructor(message: string, style?: string, duration?: number);
}
/** INotification interface */
export interface INotification {
    /** unique id for each notification */
    id: string;
    /** message to be shown */
    message: string;
    /** bootstrap background colors */
    style?: string;
    /** timeout for notification */
    duration?: number;
}
